## bridge.tar.gz

=== Makefile ===

CC	= gcc -O2
INC	= -I/usr/include/linux


brcfg: brcfg.o
	$(CC) -s -o brcfg brcfg.o

brcfg.o: brcfg.c
	$(CC) $(INC) -c brcfg.c

clean:
	 rm *~ *.o brcfg
