=== debian/control ===
Source: bridge
Section: net
Priority: extra
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.1.0.0

Package: bridge
Architecture: any
Depends: ${shlibs:Depends}, netbase
Description: Bridge Control software and Documentation
 The 2.0.X Linux Kernels support Bridging. This modules contains
 documentation and a tool to configure bridging.
 Any protocol can be bridged not only protocols that are supported by the
 Kernel. Bridging is very efficient by determining which Ethernet MAC
 addresses are on which side of the Bridge and forwarding only packets
 that are necessary. Linux will work like an Ethernet Switch!
 .
 CAUTION: The bridiging code in the kernel is experimental and Debian
 kernels do not have bridging enabled by default. You might have to 
 compile and patch a kernel to get this going.
